from . import shared

def predict_test_set():
    print("Loading test data")
    X, y = shared.load_data_and_labels(shared.test_processed)
    print("Done")
    clf = shared.load(shared.classifier_pkl)
    return X, y, clf, shared.compute_metrics(clf, X, y, "test")

def main():
    X, y, clf, metrics = predict_test_set()
    from dagshub import dagshub_logger
    with dagshub_logger(metrics_path='test-metrics.csv', should_log_hparams=False) as logger:
        logger.log_metrics(metrics)
    
    # For possible interactive use
    return X, y, clf, metrics

if __name__ == "__main__":
    main()