import pandas as pd
import numpy as np
from tutorial import shared
from tutorial import prepare_data
import sys
from scipy.sparse import dok_matrix, lil_matrix
import numpy as np

def construct_datapoint(text):
    data_dict = {col:[np.nan] for col in shared.all_raw_cols}
    data_dict[shared.col_body] = [text]
    return pd.DataFrame(data_dict)


if __name__ == "__main__":
    text = sys.argv[1]
    df = construct_datapoint(text)
    print(df)
    pipeline = shared.load(shared.pipeline_pkl)
    df = prepare_data.map_dataframe(df, pipeline)
    df = df.drop(columns=[shared.col_id, shared.col_label])
    print(df)
    clf = shared.load(shared.classifier_pkl)
    y_pred = clf.predict(df.sparse.to_coo())
    print(y_pred)
